Summary: Uptime Daemon.
Name: ud
Packager: Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
Version: 0.7.1
Release: 1
Copyright: GPL
Source: ud-0.7.1.tar.gz
Patch: ud-0.7.1.patch
Group: Networking/Daemons
BuildRoot: /var/tmp/ud-root
Url: http://purelinux.ml.org/ud/
Vendor: Matthew Trent <root@piguy.dyn.ml.org>

%description
UD runs in the background constantly checking the current uptime against
your 3 best uptime records. If the current uptime surpasses a record, that
becomes the new record. Records are stored in /etc/uptime.record. UD also 
can write to an html file of your choosing.

			Arkadiusz Mikiewicz <misiek@misiek.eu.org>

%prep

%setup
%patch -p1

%build
./configure --prefix=/usr
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp ud.initscript ${RPM_BUILD_ROOT}/etc/rc.d/init.d/ud
for i in 0 1 6
do
	mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc${i}.d
	cd ${RPM_BUILD_ROOT}/etc/rc.d/rc${i}.d
	ln -s ../init.d/ud K60ud
done
for i in 2 3 4 5
do
	mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc${i}.d
	cd ${RPM_BUILD_ROOT}/etc/rc.d/rc${i}.d
	ln -s ../init.d/ud S60ud
done
mkdir -p ${RPM_BUILD_ROOT}/usr/doc/ud-0.7.1

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%attr(-,root,root) %doc README INSTALL NEWS TEMPLATE-CODES AUTHORS ChangeLog COPYING
%attr(-,root,root) %doc template
%attr(0755,root,root) /usr/bin/ud
%attr(0644,root,root) /etc/template.ud
%attr(0755,root,root) /etc/rc.d/init.d/ud
%attr(0755,root,root) /etc/rc.d/rc0.d/K60ud
%attr(0755,root,root) /etc/rc.d/rc1.d/K60ud
%attr(0755,root,root) /etc/rc.d/rc2.d/S60ud
%attr(0755,root,root) /etc/rc.d/rc3.d/S60ud
%attr(0755,root,root) /etc/rc.d/rc4.d/S60ud
%attr(0755,root,root) /etc/rc.d/rc5.d/S60ud
%attr(0755,root,root) /etc/rc.d/rc6.d/K60ud

%changelog

* Sat Apr 24 1999 Arnaud Gomes-do-Vale <arnaud@carrosse.frmug.org>
- upgraded from 0.2.3 to 0.7.1

* Sun Jun 14 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial package release

